MS17-001: Security Update for Microsoft Edge (3214288)

high Nessus Plugin ID 96390

Synopsis

The remote host has a web browser installed that is affected by a privilege escalation vulnerability.

Description

The version of Microsoft Edge installed on the remote Windows host is missing Cumulative Security Update 3214288. It is, therefore, affected by a privilege escalation vulnerability due to improper enforcement of cross-domain policies with 'about:blank'. An unauthenticated, remote attacker can exploit this issue, via specially crafted web content, to access information from one domain and inject it into another domain, resulting in an elevation of privileges.

Solution

Microsoft has released a set of patches for Windows 10 and Windows Server 2016.

See Also

https://docs.microsoft.com/en-us/security-updates/SecurityBulletins/2017/ms17-001

Plugin Details

Severity: High

ID: 96390

File Name: smb_nt_ms17-001.nasl

Version: 1.12

Type: local

Agent: windows

Published: 1/10/2017

Updated: 11/13/2019

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2017-0002

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows, cpe:/a:microsoft:edge

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Ease: No known exploits are available

Patch Publication Date: 1/10/2017

Vulnerability Publication Date: 1/10/2017

Reference Information

CVE: CVE-2017-0002

BID: 95284

MSFT: MS17-001

MSKB: 3210720, 3210721, 3213986